// no import statement needed here because we are not using "PrintStream" in any statements below

public class L1_MyApp2 {

	public static void main(String[] args) {
		/*
		 * This app is the same as L1_MyApp1, except we have not declared nor made
		 * use of the variable called "output"
		 * 
		 * L1_MyApp1 and L1_MyApp2 demonstrate that in front of the ".println"
		 * portion, you need to have one or the other: either "System.out" or
		 * "output", where "output" has previously been assigned the value of
		 * "System.out".
		 * 
		 * IMO, L1_MyApp1 is better than L1_MyApp2 because, in my L1_MyApp1, it is more
		 * explicit that the *type* of the variable "output" is PrintStream, and
		 * that one of the services that is provided by PrintStream is the service called
		 * "println".  This particular service causes the passed argument to printed to the
		 * console. Also, in L1_MyApp1, we can hide the ugly "System.out" away
		 * until we cover Chapter 2 and figure out what sort of beast this thing
		 * is anyway.
		 * 
		 * Further to this, it is worth pointing out that are many variants of
		 * "println" - and one of these takes an int value. They all have the
		 * same name but different possible arguments. This part gets covered at
		 * the beginning of Ch 2.
		 * 
		 * The *particular* int values that are the arguments to "println" in
		 * the statements below are derived from literals. But in principle the
		 * arguments could also be (1) a variable that has been declared as type
		 * int or (2) an expression that evaluates to an int (e.g., two ints
		 * being added together using integer addition).
		 */
		System.out.println(1);
		System.out.println(2);
		System.out.println(3);
		System.out.println(4);
		System.out.println(5);
	}
}
