import java.io.PrintStream;

public class L1_MyApp7 {

	public static void main(String[] args) {
		/*
		 * Here is a version of L1_MyApp6.
		 * 
		 * The statement in the "bottom" position of the loop can be taken out
		 * and instead put at the end of the loop body; these are equivalent.
		 * After all, the "bottom" is simply a statement that gets executed once
		 * the statements is the body are done executing.
		 * 
		 * Question : what would happen if counter is incremented both in the
		 * "bottom" position and within the body of the loop???
		 * 
		 * Side Note: There is one difference between the variants MyApp6 and
		 * MyApp7, a difference of scope - this is discussed in MyApp8.
		 */
		PrintStream output = System.out;

		int counter = 1;
		for (; counter < 6;) {
			output.println(counter);
			counter = counter + 1;
		}

	}
}
